/*
 * $Id: Test.java,v 1.2 2005/03/16 23:41:50 xingming Exp $
 *
 * Copyright WEBsina (c)2001  All Rights Reserved.
 *
 */
package com.websina.client;

import com.websina.license.License;

/**
 * Demo of how do you create a license.
 *
 * For example, you can use a servlet to process user entered html form data,
 * create the license and then send the license file to the user. 
 *
 * @author Samuel Chen
 * @version $Revision: 1.2 $
 * created:  2-10-2001
 * @since 1.0 
 */
public class Test {
  
  public void test() throws Exception {

    License l = License.newLicense();
    l.setFeature("foo", "foo value");
    l.setFeature("bar", "bar value");
    l.setExpiration("07/31/2004");
    l.setSignature("1234 test");
    System.out.println(l.format());

  }


  public static void main(String[] args) throws Exception {
     new Test().test();
  }

}

