#!/bin/sh
# This script is used to create the DSA key.
# The result is located in ../DSAkey.cfg. You need move this file to
# conf directory to be used by the LicenseTool.

CLASSPATH=conf

cd ../

# Lines below enable this CMD to be run within dev environment or without
if [ -d lib/classes ]; then
  CLASSPATH=$CLASSPATH:lib/classes
fi

if [ -d lib/licence.jar ]; then
  CLASSPATH=$CLASSPATH:lib/license.jar
fi

# CLASSPATH=$CLASSPATH:lib/jce1_2_1.jar:lib/local_policy.jar:lib/US_export_policy.jar

java -cp "$CLASSPATH" com.websina.tool.KeyManager

cd bin

